const codeBackground = document.getElementById("code-background");
const progressBar = document.getElementById("progress-bar");
const mainSite = document.getElementById("main-site");
const preloader = document.getElementById("preloader");
const enterBtn = document.getElementById("enter-btn");

const codeLines = [
    "Loading system files...",
    "Initializing AI core...",
    "Hacking into the mainframe...",
    "Decrypting data...",
    "Setting up Solinator AI...",
    "Finalizing the setup...",
    "Establishing secure connections...",
    "Loading assets...",
    "Compiling resources...",
    "Preparing environment...",
    "System ready to launch..."
];

let currentLine = 0;
let progress = 0;

function updateCodeBackground() {
    if (currentLine >= codeLines.length) {
        currentLine = 0;
        codeBackground.innerHTML = "";
    }

    codeBackground.innerHTML += codeLines[currentLine] + "\n";
    currentLine++;

    setTimeout(updateCodeBackground, 300); // Ускоряем печатание текста
}

function updateProgressBar() {
    if (progress < 100) {
        progress += Math.random() * 10;
        progress = Math.min(100, progress);
        progressBar.style.width = progress + "%";
        progressBar.textContent = Math.floor(progress) + "%";
        
        // Показываем кнопку "Enter Website", когда прогресс достигнет 90%
        if (progress >= 90 && enterBtn.classList.contains('hidden')) {
            enterBtn.classList.remove("hidden");
            enterBtn.style.pointerEvents = 'auto'; 
        }
        
        setTimeout(updateProgressBar, 200); // Ускоряем прогресс-бар
    }
}

function enterWebsite() {
    // Убираем прелоудер
    preloader.classList.add('hidden');
    // Показываем основной сайт
    mainSite.classList.remove('hidden');
}

// Запуск анимации фона и прогресс-бара
updateCodeBackground();
updateProgressBar();
