let questions = [
    "Let's start simple: Is your character real?",
    "Hmm, interesting. Is your character male by any chance?",
    "That narrows it down. Is your character famous for appearing on TV?",
    "Got it. How about movies, does your character appear in them as well?",
    "Nice! Is your character originally from a book, then?",
    "You're giving me a lot to work with! Is your character from history, or more recent?",
    "Okay, is your character still alive today?",
    "We're on the right track. Is your character known for being in politics?",
    "Fascinating. Could it be that your character is an athlete?",
    "Ah, I see. Does your character play soccer, maybe?",
    "Hmm, no soccer then. Basketball, perhaps?",
    "Alright, could your character be an actor?",
    "Or is it possible that your character is a singer?",
    "Interesting! Has your character made a name for themselves on YouTube?",
    "I see, what about TikTok? Is your character popular there?",
    "This is helpful. Could your character be involved in video games?",
    "Cool! Does your character have any special abilities or superpowers?",
    "That makes sense. Is your character part of a superhero team?",
    "Let’s see... Is your character from Marvel comics?",
    "Or maybe from DC comics instead?",
    "We're getting closer. Does your character wear a cape, perhaps?",
    "Does your character have the ability to fly?",
    "Hmm, could your character be associated with magic?",
    "Aha! Could your character be a wizard, then?",
    "Is your character from the Harry Potter universe, by any chance?",
    "Could your character exist in a fantasy world, maybe?",
    "I see. Does your character fight with a sword?",
    "Oh, interesting! Is your character a knight, perhaps?",
    "Is your character from a medieval setting?",
    "Does your character rule a kingdom or land?",
    "We’re almost there. Could your character be involved in a war?",
    "I wonder, could your character be a villain in their story?",
    "Or perhaps a hero, instead?",
    "Let me think... Is your character from a science fiction universe?",
    "Does your character travel through space, maybe?",
    "Hmm, could your character be an alien?",
    "Does your character have a spaceship, by any chance?",
    "Is your character from Star Wars?",
    "Or could they be from Star Trek, maybe?",
    "Does your character fight with a lightsaber?",
    "Oh! Is your character a Jedi, perhaps?",
    "Or is your character a Sith?",
    "We're getting somewhere! Is your character a robot?",
    "Does your character have a robotic companion?",
    "Maybe your character is from a video game, then?",
    "Could your character be the main protagonist in their story?",
    "I’m almost sure... Is your character from a first-person shooter game?",
    "Or perhaps from a role-playing game?",
    "Could your character be from a fighting game?",
    "Does your character have special abilities in the game?",
    "Could your character be the villain of their game, maybe?",
    "Oh, I see. Does your character appear in multiplayer games?",
    "Is your character from a major franchise, by any chance?",
    "Could your character be a warrior?",
    "Does your character use magic in the game?",
    "I wonder, is your character human?",
    "Could your character be a mythological creature instead?",
    "Interesting... Could your character be a god or goddess?",
    "Maybe your character is from Greek mythology?",
    "Or could they be from Norse mythology?",
    "Is your character associated with the underworld?",
    "Could your character be the main antagonist in their story?",
    "Or maybe the protagonist?",
    "Does your character use intelligence to solve problems?",
    "Could your character be a detective?",
    "Does your character work with law enforcement?",
    "Perhaps your character is a doctor?",
    "Or could they be a scientist?",
    "Is your character from a dystopian future?",
    "Hmm... Could your character have survived a catastrophe?",
    "Maybe your character is part of a rebellion?",
    "I see. Could your character be a leader of some kind?",
    "Does your character inspire others?",
    "Or maybe your character is known for breaking the law?",
    "Could your character be a spy?",
    "Does your character use advanced technology?",
    "Is your character from the future?",
    "Or maybe from the past?",
    "Is your character from a fantasy novel?",
    "Could your character be a child?",
    "Hmm... Does your character have magical powers?",
    "Could your character be a witch?",
    "Or maybe your character is an elf?",
    "Does your character live in a forest, by any chance?",
    "Is your character part of a secret organization?",
    "Could your character be a protector of some kind?",
    "I see. Could your character be seeking revenge?",
    "Is your character famous worldwide?",
    "Could your character be loved by many?",
    "Does your character have any pets?",
    "Does your character have a tragic backstory?",
    "Hmm... Is your character often in danger?",
    "Could your character be known for traveling a lot?",
    "Is your character wealthy?",
    "Maybe your character is known for their kindness?",
    "Could your character be someone who is always calm under pressure?",
    "Does your character help others in need?",
    "Could your character have some sort of special mission?",
    "Is your character often misunderstood by others?",
    "Could your character be part of a larger universe of stories?"
];

let currentQuestionIndex = 0;

function startGame() {
    document.getElementById("start-screen").classList.add("hidden");
    document.getElementById("game-screen").classList.remove("hidden");
    displayQuestion();
}

function displayQuestion() {
    const questionElement = document.getElementById("question");
    questionElement.classList.remove("typewriter");  // Удаляем анимацию
    void questionElement.offsetWidth;  // Перезапуск анимации
    questionElement.classList.add("typewriter");  // Добавляем анимацию обратно
    questionElement.textContent = questions[currentQuestionIndex];
}

function chooseOption(option) {
    currentQuestionIndex++;
    if (currentQuestionIndex < questions.length) {
        displayQuestion();
    } else {
        endGame();
    }
}

function endGame() {
    document.getElementById("game-screen").classList.add("hidden");
    document.getElementById("end-screen").classList.remove("hidden");
}

function retryGame() {
    currentQuestionIndex = 0;
    document.getElementById("end-screen").classList.add("hidden");
    document.getElementById("game-screen").classList.remove("hidden");
    displayQuestion();
}
